r1930 - trunk/eclipse/debian/patches

Matthias Klose doko at costa.debian.org
Sun Feb 19 11:16:03 UTC 2006


Author: doko
Date: 2006-02-19 11:16:02 +0000 (Sun, 19 Feb 2006)
New Revision: 1930

Added:
   trunk/eclipse/debian/patches/eclipse-java-home.dpatch
Log:
- add missing patch file


Added: trunk/eclipse/debian/patches/eclipse-java-home.dpatch
===================================================================
--- trunk/eclipse/debian/patches/eclipse-java-home.dpatch	2006-02-19 09:51:13 UTC (rev 1929)
+++ trunk/eclipse/debian/patches/eclipse-java-home.dpatch	2006-02-19 11:16:02 UTC (rev 1930)
@@ -0,0 +1,34 @@
+#! /bin/sh -e
+##
+## DP: Set JAVA_HOME in all places
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch)
+	patch $patch_opts -p0 < $0;;
+    -unpatch)
+	patch $patch_opts -p0 -R < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1;;
+esac
+exit 0
+
+ at DPATCH@
+--- source-tree/plugins/org.eclipse.core.resources.linux/src/Makefile~	2006-01-18 22:12:26.000000000 +0100
++++ source-tree/plugins/org.eclipse.core.resources.linux/src/Makefile	2006-02-19 04:59:55.766546664 +0100
+@@ -17,7 +17,7 @@
+ OS_TYPE = linux
+ 
+ #Set this to be the location of your JRE
+-JAVA_HOME = ~/vm/sun142
++JAVA_HOME ?= /usr/lib/jvm/java-gcj
+ 
+ JDK_INCLUDE = -I ${JAVA_HOME}/include -I ${JAVA_HOME}/include/${OS_TYPE}
+ 




More information about the pkg-java-commits mailing list